Integer sets as a library - a collection of related functions

> type IntegerSet = [Integer] -- unsorted, duplicates allowed

> empty :: IntegerSet
> empty = []

> insert :: Integer -> IntegerSet -> IntegerSet
> insert x xs = x:xs

> delete :: Integer -> IntegerSet -> IntegerSet
> delete x xs = filter (/=x) xs

> member :: Integer -> IntegerSet -> Bool
> member x xs = any (==x) xs

For example, try

> test = member 3 (insert 1 (delete 3 (insert 2 (insert 3 empty))))


